Subject: [dns-privacy] A DPRIVE container.

From: Warren Kumari <[email-masked]>
Date: Fri, 06 Jan 2017 03:24:18 +0000

Hi all,

I have created a Docker container for easily deploying a DPRIVE RFC7858
(DNS over TLS) server. This is implemented by putting a TLS proxy (NGINX)
in front of a recursive nameserver (BIND).

It can be found here: https://github.com/wkumari/dprive-nginx-bind

This repo contains the Dockerfile, some rudimentary documentation and
supporting files, including NGINX and BIND configs, and some Google
Container Engine configs for starting and running the container / service.

Most of the credit goes to Sara / Sinodun for documenting how to run BIND
behind NGINX as a TLS proxy. I just wrapped this up in a container.

Please let me know what you think, open issues, send pull requests, etc.

Thanks.
W